DLSequenceParser (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1

## Class DLSequenceParser

- java.lang.Object
- - org.bouncycastle.asn1.DLSequenceParser

- All Implemented Interfaces:
    ASN1Encodable, ASN1SequenceParser, InMemoryRepresentable

      public class DLSequenceParser
      extends java.lang.Object
      implements ASN1SequenceParser

  Parser class for DL SEQUENCEs.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Primitive` | `getLoadedObject()` Return an in memory, encodable, representation of the SEQUENCE.
    `ASN1Encodable` | `readObject()` Return the next object in the SEQUENCE.
    `ASN1Primitive` | `toASN1Primitive()` Return a DLSequence representing this parser and its contents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readObject

          public ASN1Encodable readObject()
                                   throws java.io.IOException

      Return the next object in the SEQUENCE.
      Specified by:
        `readObject` in interface `ASN1SequenceParser`
      Returns:
        next object in SEQUENCE.
      Throws:
        `java.io.IOException` - if there is an issue loading the object.

    - #### getLoadedObject

          public ASN1Primitive getLoadedObject()
                                        throws java.io.IOException

      Return an in memory, encodable, representation of the SEQUENCE.
      Specified by:
        `getLoadedObject` in interface `InMemoryRepresentable`
      Returns:
        a DLSequence.
      Throws:
        `java.io.IOException` - if there is an issue loading the data.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Return a DLSequence representing this parser and its contents.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Returns:
        a DLSequence.